package at.ac.uibk.gitsearch.repository.search;

import java.io.IOException;
import java.util.List;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import at.ac.uibk.gitsearch.GitsearchApp;
import static org.hamcrest.Matchers.*;

@SpringBootTest(classes = GitsearchApp.class)

public class MetaDataRepositoryTests {
	@Autowired
	private MetaDataRepository metaDataRepository;
	
	@Test
	public void testKeywordAutocompletion() throws IOException {
		final List<String> keywordsAutoComplete = metaDataRepository.getKeywordsAutoComplete("Jav");
		org.junit.Assert.assertThat(keywordsAutoComplete, contains(is("Java")));
	}

	@Test
	public void testCreatorAutocompletion() throws IOException {
		final List<String> creatorAutoComplete = metaDataRepository.getCreatorAutoComplete("Pod");
		org.junit.Assert.assertThat(creatorAutoComplete, contains(is("Podlipnig")));
		final List<String> creatorAutoComplete2 = metaDataRepository.getCreatorAutoComplete("Po");
		org.junit.Assert.assertThat(creatorAutoComplete2, contains(is("Podlipnig")));
	}
	
	@Test
	public void testContributorAutocompletion() throws IOException {
		final List<String> contributorAutoComplete = metaDataRepository.getContributorAutoComplete("Bast");
		org.junit.Assert.assertThat(contributorAutoComplete, contains(is("Bastta")));
	}

}
